Subject: Re: bug#23478: 25.0.93; Mouse region selection asymmetry

From: Stephen Berman <[email-masked]>
Date: Thu, 07 Jul 2016 19:04:43 +0200

On Thu, 07 Jul 2016 19:48:12 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 07 Jul 2016 18:22:42 +0200
>> 
>> What do you understand by "selection backward"?
>
> mouse-select-region-backward can be interpreted as "mouse selects
> region backward".

I still don't get it, but I'll drop it.

>> My intention was to indicate that this variable controls selecting
>> the region when you double-click at region-end
>
> But "region-end" doesn't appear in the name.
>
> How about mouse-select-region-at-region-end ?

This sounds a bit convoluted and also not so clear to me; how about
referring to the action instead of the result:
mouse-double-click-at-region-end ?

>> >> One somewhat embarassing aspect of describing this option is that is
>> >> makes the default asymmetrical behavior painfully obvious without
>> >> providing a rationale for it (and I don't know of any).  I suppose we
>> >> could add "for historical reasons" after "by default"....
>> >
>> > I don't think it's needed: since point doesn't move, no scrolling
>> > should be expected.
>> 
>> What's not needed: the phrase "for historical reasons", a rationale for
>> the asymmetrical behavior, or any description of the user option?  In
>> other words, are you saying the doc changes in the patch are acceptable?
>
> The rationale is not needed, IMO.

Ok.

Steve Berman